| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Feature Class Reference
Utililty classes

The Feature class represents a feature that can be enabled on demand. More...

`#include <TelepathyQt/Feature>`

Inheritance diagram for Tp::Feature:
[legend]

## Public Member Functions

| Feature ()
| Feature (const QString &className, uint id, bool critical=false)
| Feature (const Feature &other)
| ~Feature ()
bool | isValid () const
Feature & | operator= (const Feature &other)
bool | isCritical () const
Public Member Functions inherited from QPair< QString, uint >
| QPair ()
| QPair (const T1 &value1, const T2 &value2)
QPair< T1, T2 > & | operator= (const QPair< T1, T2 > &other)

## Additional Inherited Members

Public Attributes inherited from QPair< QString, uint >
typedef | first_type
typedef | second_type

## Detailed Description

The Feature class represents a feature that can be enabled on demand.

## Constructor & Destructor Documentation

## § Feature() [1/3]

Tp::Feature::Feature | ( |  | ) |

## § Feature() [2/3]

Tp::Feature::Feature | ( | const QString & | className,
|  | uint | id,
|  | bool | critical = `false`
| ) |  |

## § Feature() [3/3]

Tp::Feature::Feature | ( | const Feature & | other | ) |

## § ~Feature()

Tp::Feature::~Feature | ( |  | ) |

## Member Function Documentation

## § isValid()

bool Tp::Feature::isValid | ( |  | ) | const

inline

## § operator=()

Feature & Tp::Feature::operator= | ( | const Feature & | other | ) |

## § isCritical()

bool Tp::Feature::isCritical | ( |  | ) | const